Subject: Re: [Patch] iwlwifi: remove obsoleted module alias and parameters

From: "John W. Linville" <[email-masked]>
Date: Wed, 6 Apr 2011 11:19:42 -0400

On Wed, Apr 06, 2011 at 11:14:29AM -0400, John W. Linville wrote:
> On Wed, Apr 06, 2011 at 02:57:29PM +0200, Stanislaw Gruszka wrote:
> > On Wed, Apr 06, 2011 at 06:42:48PM +0800, Cong Wang wrote:
> > > 于 2011年04月06日 18:09, Johannes Berg 写道:
> > > >On Wed, 2011-04-06 at 17:49 +0800, Amerigo Wang wrote:
> > > >>As scheduled in Documentation/feature-removal-schedule.txt,
> > > >>remove "*50", "disable_hw_scan" module parameters and MODULE_ALIAS("iwl4965").
> > > >
> > > >Mostly fine, but for iwlegacy Stanislaw we want to keep hw scan (and it
> > > >was actually made default now)
> > 
> > Indeed, disable_hw_scan should be removed in iwlwifi but leaved in iwlegacy.
> > 
> > > Ok, I will wait for Stanislaw's response and then send an updated patch.
> > 
> > Have it now :-)
> 
> Maybe the MODULE_ALIAS("iwl4965") should go to iwlegacy too?

Nevermind, forgot the "Internal alias support has been present in
module-init-tools" part...

-- 
John W. Linville		Someday the world will need a hero, and you
[email-masked]			might be all we have.  Be ready.